Le registre des sous-traitants ultérieurs de l’opérateur (DPA art. 8 / annexe 3)
GET
/v1/legal/sub-processors
const url = 'https://api.vimine.network/v1/legal/sub-processors';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vimine.network/v1/legal/sub-processorsLe registre à jour (actifs, prévus, et fournisseurs qui ne traitent aucune donnée des associations) avec la version en vigueur de l’annexe 3 à laquelle il est lié.
Réponses
Section intitulée « Réponses »Registre
Type de médiaapplication/json
object
version
La version en vigueur de l’annexe 3 à laquelle le registre est lié
string
effective_from
string format : date-time
notice_days
integer
at
string format : date-time
active
obligatoire
Array<object>
object
cod
obligatoire
string
name
obligatoire
string
entity
string
service
obligatoire
string
data_categories
string
location
string
transfer_basis
string
role
obligatoire
string
status
obligatoire
string
since
string format : date
until
string format : date
website
string
planned
obligatoire
Array<object>
object
cod
obligatoire
string
name
obligatoire
string
entity
string
service
obligatoire
string
data_categories
string
location
string
transfer_basis
string
role
obligatoire
string
status
obligatoire
string
since
string format : date
until
string format : date
website
string
other
obligatoire
Les fournisseurs qui ne traitent aucune donnée des associations (transparence)
Array<object>
object
cod
obligatoire
string
name
obligatoire
string
entity
string
service
obligatoire
string
data_categories
string
location
string
transfer_basis
string
role
obligatoire
string
status
obligatoire
string
since
string format : date
until
string format : date
website
string
Exemple
{ "active": [ { "role": "processor", "status": "active" } ], "planned": [ { "role": "processor", "status": "active" } ], "other": [ { "role": "processor", "status": "active" } ]}Requête invalide
Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Introuvable
Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Limite de débit atteinte
Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Erreur interne
Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}